Read participations breakdown by Contact identifier
curl --request GET \
--url https://api.hubapi.com/marketing/v3/marketing-events/participations/contacts/{contactIdentifier}/breakdown \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/marketing/v3/marketing-events/participations/contacts/{contactIdentifier}/breakdown"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/marketing/v3/marketing-events/participations/contacts/{contactIdentifier}/breakdown', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"associations": {
"contact": {
"contactId": "<string>",
"email": "<string>",
"firstname": "<string>",
"lastname": "<string>"
},
"marketingEvent": {
"marketingEventId": "<string>",
"name": "<string>",
"externalAccountId": "<string>",
"externalEventId": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {
"occurredAt": 123,
"attendanceDurationSeconds": 123,
"attendancePercentage": "<string>"
}
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Participant State
Retrieve participants by contact identifier
Read Contact’s participations by identifier - email or internal id.
GET
/
marketing
/
v3
/
marketing-events
/
participations
/
contacts
/
{contactIdentifier}
/
breakdown
Read participations breakdown by Contact identifier
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The identifier of the Contact. It may be email or internal id.
Query Parameters
The cursor indicating the position of the last retrieved item.
The limit for response size. The default value is 10, the max number is 100
The participation state value. It may be REGISTERED, CANCELLED, ATTENDED, NO_SHOW
Last modified on March 30, 2026
Was this page helpful?
⌘I